
Base Distribution - Task # 40754

Story # 41101 (New): As user, I want a well-working content editing (Bugfix Story)

Status: Resolved Priority: Must have
Author: Rens Admiraal Category: Content Editing
Created: 2012-09-08 Assigned To:
Updated: 2012-09-25 Due date:
Subject: re-implement delete node
Description

Related issues:
related to Base Distribution - Task # 41315: Fix deletion of nodes Closed

Associated revisions
Revision 7b970f81 - 2012-09-25 18:13 - Robert Lemke

[BUGFIX] Fix setRemoved() for proxy nodes

The method Node::setRemoved() has not been implemented for ProxyNode
and thus nodes which are proxy nodes, are not marked as removed when
using that method.

This patch also introduces tests for that part and a new LoggingAspect
which - for now - only logs removal of nodes.

This bug has been introduced in 773160cbd25847049a8b57a35a3e3cfb96651be1

Change-Id: I903e144d037de9698579ee68c634a517f0f0eaa0
Related: #40754

Revision 2ed5933d - 2012-09-25 20:36 - Robert Lemke

[BUGFIX] Re-implement deletion of content elements

This adds the ability to remove content elements through the content
module.

Change-Id: I634b3a208df2e8edcc669531ec71e31ab2b9a502
Resolves: #40754

History
#1 - 2012-09-10 09:56 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst

#2 - 2012-09-11 11:49 - Sebastian Kurfuerst
- Status changed from New to Accepted

#3 - 2012-09-11 11:56 - Sebastian Kurfuerst
- Status changed from Accepted to New
#4 - 2012-09-11 13:42 - Sebastian Kurfuerst
- Status changed from New to Accepted

#5 - 2012-09-11 15:43 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14519

#6 - 2012-09-11 15:45 - Sebastian Kurfuerst

https://review.typo3.org/#/q/topic:40754,n,z

#7 - 2012-09-11 15:45 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#8 - 2012-09-24 12:29 - Robert Lemke
- Category set to Content Editing
- Priority changed from Should have to Must have
- Parent task changed from #40628 to #41311

#9 - 2012-09-24 13:06 - Robert Lemke
- Assigned To changed from Sebastian Kurfuerst to Robert Lemke

#10 - 2012-09-24 13:06 - Robert Lemke
- Status changed from Under Review to Accepted

#11 - 2012-09-24 13:11 - Robert Lemke
- Status changed from Accepted to New
- Assigned To deleted (Robert Lemke)
- Target version changed from Sprint 10 (1.0 TP1) to Sprint February 2013
- Parent task changed from #41311 to #41101

#12 - 2012-09-25 18:16 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15047

#13 - 2012-09-25 20:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15047

#14 - 2012-09-25 21:35 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2ed5933d9fdeaae3c5bad9040883b2fa53844b97.
